{% extends "admin/base_site.html" %}
{# vim:set ft=htmldjango: #}
{% load i18n %}
{% comment %}
#. thumbnails des images
⬈➚➹
⿸⿹
⿺⿴
TODO: lien vers l'image pour utilisation dans l'editeur texte
{% endcomment %}

{% block content %}
<div id="content-main">{% if errors %}
 <p class="errornote">{% blocktrans count errors|length as counter %}Please correct the error below.{% plural %}Please correct the errors below.{% endblocktrans %}</p>
 {{ adminform.form.non_field_errors }}
{% endif %}

<form method="post" enctype="multipart/form-data">
 <fieldset{{ attrs|safe }}>{% csrf_token %}
  <input type="file" name="add" id="add" multiple>
  <div class="submit-row">
   <input type="submit" value="Enregistrer" class="default" name="_save">
   <input type="submit" value="Enregistrer et continuer les modifications" name="_continue">
  </div>{# .submit-row #}
  <hr>
  <div class="gallery">{% for image in container %}
   <span style="display:inline-block;">
    <img src="{{ image.thumbnail.url }}" alt="{{ image.basename }}"><br>
    <var>{{ image.size.0 }} / {{ image.size.1 }}px</var>
    <a href="{{ image.url }}">⿹</a><br>
    <tt>{{ image.stat.st_size|filesizeformat }}</tt>
    <input type="checkbox" name="del" value="{{ image.basename }}">
   </span>{% endfor %}
  </div>{# .gallery #}
  <div class="submit-row">
   <input type="submit" value="Enregistrer" class="default" name="_save">
   <input type="submit" value="Enregistrer et continuer les modifications" name="_continue">
  </div>{# .submit-row #}
 </fieldset>
</form>

</div>{# #content-main #}
{% endblock %}
